package com.crm.rely.backend.core.constant;

import java.lang.annotation.*;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RequestNumLimiter {
    /**
     * 限流key
     */
    String key() default "REQUEST_RESTRICTIONS_LIMIT:";

    /**
     * 限流时间,单位秒
     */
    int time() default 60;

    /**
     * 限流次数
     */
    int count() default 100;

    /**
     * 限流类型
     */
    LimitType limitType() default LimitType.IP;
}
